[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# MinuteOfTheHour

Calculate the number of minutes elapsed since the start of the hour

## Declaration

Source position: dateutil.inc line 233

`function MinuteOfTheHour(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | Moment in the hour

## Function result

Number of minutes elapsed since the start of the hour

## Description

MinuteOfTheHour returns the number of minutes that have passed since the start of the Hour (HH:00:00) till the moment indicated by AValue. This is a zero-based number, i.e. HH:00:59 will return 0.

## See also

MinuteOfTheYear |  | Calculate the number of minutes elapsed since the start of the year
MinuteOfTheMonth |  | Calculate number of minutes elapsed since the start of the month.
MinuteOfTheWeek |  | Calculate the number of minutes elapsed since the start of the week
MinuteOfTheDay |  | Calculate the number of minutes elapsed since the start of the day
SecondOfTheHour |  | Calculate the number of seconds elapsed since the start of the hour
MilliSecondOfTheHour |  | Calculate the number of milliseconds elapsed since the start of the hour

## Example

    Program Example44;

    { This program demonstrates the MinuteOfTheHour function }

    Uses SysUtils,DateUtils;

    Var
      N : TDateTime;

    Begin
      N:=Now;
      Writeln('Minute of the Hour      : ',MinuteOfTheHour(N));
      Writeln('Second of the Hour      : ',SecondOfTheHour(N));
      Writeln('MilliSecond of the Hour : ',
              MilliSecondOfTheHour(N));
    End.